/**
 * mobios.index.algorithms.PartitionResults 2006.06.16
 *
 * The MoBIoS Library
 * Copyright (c) 2006 The MoBIoS Group and The University of Texas at Austin.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Change Log:
 * 2006.01.25: Added, by Willard
 */
package mobios.index.algorithms;

import java.util.List;

import mobios.type.IndexObject;
import mobios.index.InternalNode;

/**
 * @author Willard
 */
public class PartitionResults {

    private List<List<? extends IndexObject>> listOfPartitions;
    private InternalNode                      iNode;

    private PartitionResults() {
    }

    /**
     * @param subDataList
     * @param iNode
     */
    public PartitionResults(List<List<? extends IndexObject>> subDataList, InternalNode iNode) {
        this.listOfPartitions = subDataList;
        this.iNode = iNode;
    }

    /**
     * @return the number of partitions
     */
    public int size() {
        return listOfPartitions.size();
    }

    /**
     * @param partition
     */
    public void addPartition(List<IndexObject> partition) {
        listOfPartitions.add(partition);
    }

    /**
     * @param iNode
     */
    public void setNode(InternalNode iNode) {
        this.iNode = iNode;
    }

    /**
     * @param index
     * @return the partition at the given index (a partition is a {@link List} of {@link IndexObject}s
     * @throws IndexOutOfBoundsException
     */
    public List<? extends IndexObject> getPartition(int index) throws IndexOutOfBoundsException {
        return listOfPartitions.get(index);
    }

    /**
     * TODO javadoc
     * @return 
     */
    public InternalNode getInternalNode() {
        return iNode;
    }

}
