/**
 * mobios.index.algorithms.PivotSelectionMethod 2006.06.16
 *
 * The MoBIoS Library
 * Copyright (c) 2006 The MoBIoS Group and The University of Texas at Austin.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Change Log:
 * 2006.01.25: Added, by Willard
 */
package mobios.index.algorithms;

import java.util.List;

import mobios.dist.Metric;
import mobios.type.IndexObject;

/**
 * @author Willard
 */
public interface PivotSelectionMethod {
    /**
     * @param metric
     * @param data
     * @param numPivots
     * @return
     */
    int[] selectPivots(Metric metric, List<? extends IndexObject> data, final int numPivots);

    /**
     * @param metric
     * @param data
     * @param first
     * @param dataSize
     * @param numPivots
     * @return
     */
    int[] selectPivots(Metric metric, List<? extends IndexObject> data, int first, int dataSize,
            final int numPivots);
}
